<div id="employee">
 <div class="columns">
  <div class="column col-4 space">
    <span class="badge h3" data-badge="<%= @count %>">
      All Employees
    </span>
    <span class="table-selection" v-show="selectionExists"> {{selectionMessage}} </span>
  </div>
  <div class="column col-8">
    <div class="float-right">
     <Modal1 ></Modal1>
     <Modal2></Modal2> 
     <Modal3 @close="toggleModal" v-if='display_show_modal' :row_data=row_data :display_show_modal= display_show_modal></Modal3>
      <span class="dropdown actions">
      <a href="#" class="btn btn-link dropdown-toggle" tabindex="0">Actions 
      <img src="<%= Routes.static_path(@conn, "/images/icons/selector.svg") %>" alt="Selector icon" class=""/>
      </a>
      <ul class="menu">
      <li class="action_menu" @click="addPackage">Add Package</li>
        <li class="action_menu">Action...</li>
        <li class="action_menu">Action...</li>
      </ul>
     </span> 
    </div>
  </div>
  <div class="column col-12">
      <data-tables-server ref="multipleTable" :data="employees" :total="total" @query-change="fetchData" :pagination-props="pagination"  :table-props="tableProps"  :layout="layout" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55">
      </el-table-column>
      <el-table-column label="Employee ID" sortable="custom">
        <template slot-scope="scope">
          <span>{{ scope.row.id }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Name" sortable="custom">
        <template slot-scope="scope">
          <span v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text" class="td_text"
            @click="button.handler">
            {{ scope.row.name }}
          </span>
        </template>
      </el-table-column>
      <el-table-column label="Job Role">
        <template slot-scope="scope">
          <span>{{ scope.row.role }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Gender" sortable="custom">
        <template slot-scope="scope">
          <span>{{ scope.row.gender }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Status">
        <template slot-scope="scope">
          <span>{{ scope.row.status }}</span>
        </template>
      </el-table-column>
    </data-tables-server>
  </div>
  <div class="column col-12">  
    <div id ="vue_modal_3"></div> 
  </div>
</div>
